Extending Qt Creator Manual | JsonProjectPage

Extending Qt Creator Manual 4.5.2

# JsonProjectPage Class

(ProjectExplorer::JsonProjectPage)

Inherits: | Utils::ProjectIntroPage

- List of all members, including inherited members

## Public Functions

| JsonProjectPage(QWidget *parent = nullptr)
void | initializePage() override
bool | validatePage() override

- 12 public functions inherited from Utils::ProjectIntroPage
- 4 public functions inherited from Utils::WizardPage

## Static Public Members

QString | uniqueProjectName(const QString &path)

### Additional Inherited Members

- 5 properties inherited from Utils::ProjectIntroPage
- 5 public slots inherited from Utils::ProjectIntroPage
- 1 signal inherited from Utils::ProjectIntroPage
- 1 signal inherited from Utils::WizardPage

## Member Function Documentation

### JsonProjectPage::JsonProjectPage(QWidget *parent = nullptr)

Default constructs an instance of JsonProjectPage.

### void JsonProjectPage::initializePage()

### `[static]` QString JsonProjectPage::uniqueProjectName(const QString &path)

### bool JsonProjectPage::validatePage()